Skip to main content
GET
/
open-api
/
v1.0
/
product-templates
/
page
/
{page}
List product templates by page
curl --request GET \
  --url https://api.fourthwall.com/open-api/v1.0/product-templates/page/{page}
{
  "results": [
    {
      "productId": "pro_k66ZW4fsRm6c2def3itltA",
      "name": "Classic T-Shirt",
      "category": "apparel/t-shirts",
      "brand": "Bella+Canvas",
      "basePrice": {
        "amount": 24.99,
        "currency": "USD"
      },
      "productionMethod": "DTG",
      "supportsBackendRendering": true,
      "thumbnail": "<string>"
    }
  ],
  "total": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.fourthwall.com/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

page
integer<int32>
required

Page number (1-indexed)

Response

OK

Paginated list of product templates

results
Product Template Summary · object[]
required

List of product template summaries

total
integer<int32>
required

Total number of product templates matching the query